# Generated by Django 3.2.8 on 2021-10-14 00:14

import django.core.validators
from django.db import migrations, models
import students.validators


class Migration(migrations.Migration):

    dependencies = [
        ("students", "0003_auto_20211008_2015"),
    ]

    operations = [
        migrations.AddField(
            model_name="student",
            name="phone_number",
            field=models.CharField(
                max_length=14,
                null=True,
                unique=True,
                validators=[django.core.validators.RegexValidator("\\d{10,14}")],
            ),
        ),
        migrations.AlterField(
            model_name="student",
            name="email",
            field=models.EmailField(
                max_length=120,
                null=True,
                unique=True,
                validators=[students.validators.no_elon_validator],
            ),
        ),
        migrations.AlterField(
            model_name="student",
            name="first_name",
            field=models.CharField(
                max_length=60, validators=[django.core.validators.MinLengthValidator(2)]
            ),
        ),
        migrations.AlterField(
            model_name="student",
            name="last_name",
            field=models.CharField(
                max_length=80, validators=[django.core.validators.MinLengthValidator(2)]
            ),
        ),
    ]
